Bug 404011 - Review Request: mythes-pl - Polish thesaurus
Review Request: mythes-pl - Polish thesaurus
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-29 03:10 EST by Caolan McNamara
Modified: 2011-03-29 13:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-30 03:16:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
/boot Not listed in Mount point Dropdown (78.35 KB, image/jpeg)
2011-03-29 13:59 EDT, IBM Bug Proxy
no flags Details
Anaconda Log Rhel6.0 beta2 (8.21 KB, text/plain)
2011-03-29 13:59 EDT, IBM Bug Proxy
no flags Details
anaconda-tb-SYNGeBEtXfQc.xml (322.70 KB, application/octet-stream; charset=ISO-8859-1)
2011-03-29 13:59 EDT, IBM Bug Proxy
no flags Details

  None (edit)
Description Caolan McNamara 2007-11-29 03:10:44 EST
Spec URL: http://people.redhat.com/caolanm/mythes/mythes-pl.spec
SRPM URL: http://people.redhat.com/caolanm/mythes/mythes-pl-1.4-1.fc9.src.rpm
Description: Polish Thesaurus, splits out the mythes thesaurus from openoffice.org as an independently updateable package
Comment 1 Parag AN(पराग) 2007-11-29 05:41:36 EST
Packaging looks Ok to me.
rpmlint is silent.

APPROVED.
Comment 2 Caolan McNamara 2007-11-29 06:09:23 EST
New Package CVS Request
=======================
Package Name: mythes-pl
Short Description: Polish Thesaurus
Owners: caolanm@redhat.com
Branches: devel
InitialCC: 
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2007-11-29 15:13:02 EST
cvs done.
Comment 4 Caolan McNamara 2007-11-30 03:16:38 EST
built
Comment 5 IBM Bug Proxy 2011-03-29 13:59:05 EDT
------- Comment From sachinp@in.ibm.com 2010-07-20 04:36 EDT-------
This problem can be recreated with snap7. /boot cannot be created on a lvm partition.

------- Comment From gmuelas@de.ibm.com 2010-07-27 10:02 EDT-------
(In reply to comment #16)
> These changes made by dcantrell@redhat.com.
> Bugzilla comment added:
> Using zipl_helper.device-mapper from the s390utils package, we can possibly
> support /boot on LVM on s390 via anaconda.  This is a feature request as we
> have never done this in the past, so moving this to 6.1 for consideration.
>
> Bugzilla summary changed from 'Cannot mount /boot partition on LVM logical
> group.' to 'RFE: Cannot mount /boot partition on LVM logical group.'
>
> Flag(s) 'devel_ack?, qa_ack?'  added
>
> https://bugzilla.redhat.com/show_bug.cgi?id=618376

Hi David,
till today I thought that s390 was the only arch. that had this restricted, but it seems that in other archs. was also restricted due to grub, correct?

In any case, I do not think that it is necessary to do more checks that you do now (were there any checks till now to know at partitioner time if the zipl was going to be succesfull at the end, with something like zipl --dry-run ?), that is now that zipl support device mapper, it will support to have /boot on LVM, assuming that the installer allows it. That helper script is used by zipl, but the user and/or anaconda does not need to use it.

As for the fix to allow /boot on LVM, you know much better anaconda code than I do, but maybe I would suggest looking under:
platform.py
def checkBootRequest(self, req):
# can't have bootable partition on LV
if req.type == "lvmlv":
errors.append(_("Bootable partitions cannot be on a logical volume."))

and maybe add "and !s390" with proper sintax.

Regarding RHEL 6.0 or 6.1 is your call to decide if you consider that too risky now or not, and if it does not go in to RHEL 6.0 we will request it for 6.1.

Hope it helps,
Gonzalo.

------- Comment From mgrf@de.ibm.com 2010-09-08 08:02 EDT-------
Hello Red Hat,
While a fix for this is in work for RHEL6.1,
this issue should have a short entry in RHEL6 release notes

Proposal for R6 release notes - until fix avail. with R6.1

==================
Cause
The /boot partition cannot be created and mounted on an LVM logical volume.

Result
The Linux system cannot be booted or IPLed from an LVM logical volume.

Workaround
Create the /boot partition on a DASD or SCSI volume.

Consequence
n/a  (same as result)
==========================

------- Comment From htengshe@in.ibm.com 2010-09-24 00:33 EDT-------
(In reply to comment #28)
> These changes made by rlerch@redhat.com.

> Diffed Contents:
> @@ -1,2 +1,2 @@
> -When setting up mount points during the RHEL 6 installation on System z, you
> must use a non-LVM volume for /boot. The RHEL 6 installer currently does not
> support having the /boot volume on a logical volume.  If you need to have the
> /boot volume on a logical volume, you can do so manually after the installation
> on RHEL on System z.  Please check zipl
> +The installer currently does not support having the /boot volume on a logical
> volume on the  on System z architecture. Consequently, when setting up mount
> points during installation, the /boot volume cannot be a LVM volume. Manual
> configuration after installation is required if the /boot volume is to be on a
> logical volume. Refer to the zipl
> -documentation.+documentation for further information.
>
> https://bugzilla.redhat.com/show_bug.cgi?id=618376

+The installer currently does not support having the /boot volume on a logical
volume on System z architecture. Consequently, when setting up mount
points during installation, the /boot volume cannot be a LVM volume. Manual
configuration after installation is required if the /boot volume is to be on a
logical volume. Refer to the zipl
-documentation.+documentation for further information.

on the  on System z architecture
Please remove extra "on the"

------- Comment From htengshe@in.ibm.com 2011-02-22 02:26 EDT-------
Checked on RHEL6.1 early build. The problem is still not fixed.
Comment 6 IBM Bug Proxy 2011-03-29 13:59:17 EDT
Created attachment 488517 [details]
/boot Not listed in Mount point Dropdown
Comment 7 IBM Bug Proxy 2011-03-29 13:59:27 EDT
Created attachment 488518 [details]
Anaconda Log Rhel6.0 beta2
Comment 8 IBM Bug Proxy 2011-03-29 13:59:39 EDT
Created attachment 488519 [details]
anaconda-tb-SYNGeBEtXfQc.xml

Note You need to log in before you can comment on or make changes to this bug.